| TagLib 1.13 |  |

Namespaces | Classes | Typedefs
TagLib::Ogg Namespace Reference

A namespace for the classes used by Ogg-based metadata files. More...

## Namespaces
namespace | FLAC
| An implementation of Ogg FLAC metadata.
namespace | Opus
| A namespace containing classes for Opus metadata.
namespace | Speex
| A namespace containing classes for Speex metadata.
namespace | Vorbis
| A namespace containing classes for Vorbis metadata.

## Classes
class | File
| An implementation of TagLib::File with some helpers for Ogg based formats. More...
class | Page
| An implementation of Ogg pages. More...
class | PageHeader
| An implementation of the page headers associated with each Ogg::Page. More...
class | XiphComment
| Ogg Vorbis comment implementation. More...

## Typedefs
typedef Map< String, StringList > | FieldListMap

## Detailed Description

A namespace for the classes used by Ogg-based metadata files.

## Typedef Documentation

## ◆ FieldListMap

typedef Map<String, StringList> TagLib::Ogg::FieldListMap

A mapping between a list of field names, or keys, and a list of values associated with that field.

See also
  XiphComment::fieldListMap()